Package org.apache.solr.common.params

# Interface QueryElevationParams

public interface QueryElevationParams
Parameters used with the QueryElevationComponent

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EDITORIAL_MARKER_FIELD_NAME`
The name of the field that editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory.
`static final String`
`ELEVATE_EXCLUDE_TAGS`
By default, the component respects the fq parameter.
`static final String`
`ELEVATE_ONLY_DOCS_MATCHING_QUERY`
By default, the component will also elevate docs that aren't part of the search result (matching the query).
`static final String`
`ENABLE`
`static final String`
`EXCLUDE`
`static final String`
`EXCLUDE_MARKER_FIELD_NAME`
The name of the field that excluded editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory.
`static final String`
`EXCLUSIVE`
`static final String`
`FORCE_ELEVATION`
`static final String`
`IDS`
`static final String`
`MARK_EXCLUDES`
Instead of removing excluded items from the results, passing in this parameter allows you to get back the excluded items, but to mark them as excluded.
`static final String`
`USE_CONFIGURED_ELEVATED_ORDER`
When multiple docs are elevated, should their relative order be the order in the configuration file or should they be subject to whatever the sort criteria is? True by default.

## Field Details

### ENABLE

static final String ENABLE

See Also:
  - Constant Field Values

### EXCLUSIVE

static final String EXCLUSIVE

See Also:
  - Constant Field Values

### FORCE_ELEVATION

static final String FORCE_ELEVATION

See Also:
  - Constant Field Values

### IDS

static final String IDS

See Also:
  - Constant Field Values

### EXCLUDE

static final String EXCLUDE

See Also:
  - Constant Field Values

### EDITORIAL_MARKER_FIELD_NAME

static final String EDITORIAL_MARKER_FIELD_NAME
The name of the field that editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory. The default name is "elevated"
See https://solr.apache.org/guide/solr/latest/query-guide/query-elevation-component.html

See Also:
  - Constant Field Values

### EXCLUDE_MARKER_FIELD_NAME

static final String EXCLUDE_MARKER_FIELD_NAME
The name of the field that excluded editorial results will be written out as when using the QueryElevationComponent, which automatically configures the EditorialMarkerFactory. The default name is "excluded". This is only used when `MARK_EXCLUDES` is set to true at query time.
See https://solr.apache.org/guide/solr/latest/query-guide/query-elevation-component.html

See Also:
  - Constant Field Values

### MARK_EXCLUDES

static final String MARK_EXCLUDES
Instead of removing excluded items from the results, passing in this parameter allows you to get back the excluded items, but to mark them as excluded.

See Also:
  - Constant Field Values

### USE_CONFIGURED_ELEVATED_ORDER

static final String USE_CONFIGURED_ELEVATED_ORDER
When multiple docs are elevated, should their relative order be the order in the configuration file or should they be subject to whatever the sort criteria is? True by default.

See Also:
  - Constant Field Values

### ELEVATE_ONLY_DOCS_MATCHING_QUERY

static final String ELEVATE_ONLY_DOCS_MATCHING_QUERY
By default, the component will also elevate docs that aren't part of the search result (matching the query). If you only want to elevate the docs that are part of the search result, set this to true. False by default.

See Also:
  - Constant Field Values

### ELEVATE_EXCLUDE_TAGS

static final String ELEVATE_EXCLUDE_TAGS
By default, the component respects the fq parameter. If you want to elevate documents that do not match the provided filters, tag the filters in question via the local parameter syntax fq={!tag=t1}field1:value1 and then specify the tags for exclusion via elevate.excludeTag=t1

Note: This is the first parameter to use a common prefix naming standard ("elevate.X") so it looks different from the other parameters. The other parameters should eventually be reworked to follow this standard, which is used by other SearchComponents.

See Also:
  - Constant Field Values